General

Latest Linux RHEL 6Sever x86_64 hpsmh shows old version string for : CompaqHTTPServer

 
David_Ruwoldt
Occasional Visitor

Latest Linux RHEL 6Sever x86_64 hpsmh shows old version string for : CompaqHTTPServer

Dear All,

Our security software is failling on hpsmh saying it is an old verison. We draw the version from

http://downloads.linux.hpe.com/SDR/repo/spp/rhel/6/x86_64/current/

file: hpsmh-7.6.1-9.x86_64.rpm

Which has a build date of May  4 2017 20:31:35. However when I check the version it shows the following

# ./hpsmhd -v

Server version: CompaqHTTPServer/9.9 HPE System Management Homepage/2.4.25 (Unix)

Server built:   May  4 2017 20:31:35

What I expect is to see is

Server version: CompaqHTTPServer/9.9 HPE System Management Homepage/7.6.1.9 (Unix)

Is this merely an issue of HPE not updating some strings during build or is this a bad case of an old version of software being built into the latest release of hpsmh?

Any advice appreciated.

Yours sincerely

David Ruwoldt

 

1 REPLY 1
alexpearce
New Member

Re: Latest Linux RHEL 6Sever x86_64 hpsmh shows old version string for : CompaqHTTPServer

I too am seeing the same issue, I believe it may be a version of the underlying apache but could be incorrect, either way, it's causing issues with nessus identifying it as vulnerable.